CRM - intended for use as a portfolio peice 


essntially an MVC that has CRUD Model for adding and removing customers.
Database stucture is based on entity attiibutre Value (EVA) model , allowing for unlimted expansion.

 


instructions :
-----------------------------------
- vagrant up	#Launch Vagrent enviroment 
- run ./CRM.SQL
- go to : http://192.168.33.10


Pre Loaded User
------------------
name : user 
pass : password



To Dos:
--------------------------------
- Write unit tests
- More user feedback on 
- Better Error Management
- Sanatization of inputs 
- Edit Form
- dont allow duplicate names of the same company
- move controllers into own class and out of routes 



 




Database Design 
--------------------------

users (
	id
	name
	password
	email
)

company(
	id
	name 
	address)

contact_infomation(
	id
	Entity
	Attribute
	Value
 )

